Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Solved: 10 Months, 3 Days ago [Error Message] Today MyBB just BROKE for no reason.
#1
Solved: 10 Months, 3 Days ago
Hi,
I'm hosting with hostgator that is powered by myBB.

Overnight myBB just broke on our website, Our admins & myself didn't touch a single thing or edit any files.  It just broke.
I don't understand what could cause this; to reassure this is not a plugin error, this is myBB itself. Everything was working fine yesterday.

There are concerns that the website may have been hacked.

One of the issues is that all activated plugins are now deactivated and can not be activated again, the plugin page contains an error (I'll attach to this post).
Error messages are also appearing on other pages such as memberslist.php. They're just popping up everywhere, from the admin console to the myBB main pages.

These all appear to be internal myBB errors.
We've tried to upgrade myBB from 1.8.19 from 1.8.14 since but we get an error message a few pages into the installation (after it updates databases).

Hoping someone here could help us out!

Thanks for reading. Smile

Sorry for the double post, here is the error from the plugin page.


Attached Files Thumbnail(s)
   
Reply
#2
Solved: 10 Months, 3 Days ago
The error points to myalerts. What version php are you running now and did your host upgrade the php version perhaps?

i checked your site earlier and it was running.
What goes around comes around
Reply
#3
Solved: 10 Months, 3 Days ago
(11-10-2018, 10:37 PM)Ashley1 Wrote: The error points to myalerts. What version php are you running now and did your host upgrade the php version perhaps?

i checked your site earlier and it was running.

Thanks for the response, I contacted hostgator and they said they did not upgrade the php version.

The errors themselves are actually not because of the plugins, everything was working perfectly fine yesterday and many months before it. Smile

Here's another error message on the memberlist page for example;
http://zeoworks.com/home/memberlist.php?...descending


Attached Files Thumbnail(s)
   
Reply
#4
Solved: 10 Months, 3 Days ago
I don't know what theme you were running yesterday, but if its this one - its outdated. I see you still have not applied the fixes for authorization mismatch, which i pointed out earlier.
What goes around comes around
Reply
#5
Solved: 10 Months, 3 Days ago
(11-10-2018, 10:51 PM)Ashley1 Wrote: I don't know what theme you were running yesterday, but if its this one - its outdated. I see you still have not applied the fixes for authorization mismatch, which i pointed out earlier.

Hi,
The theme has been the exact same for months and has worked absolutely fine.

Error messages are also appearing in the admin dashboard which is outside of all themes.

No plugins are activating, all previously activated plugins are now all disabled for some reason.

We're running PHP 5.6, we also tried upgrading to 7.0 and it didn't fix any of the issues. Smile
Reply
#6
Solved: 10 Months, 3 Days ago
What version of mybb is your forum on now?
What goes around comes around
Reply
#7
Solved: 10 Months, 3 Days ago
It was 1.8.14, since this issue was happening we tried upgrade to 1.8.19 in an attempt to fix it (in which it didn't).
Reply
#8
Solved: 10 Months, 3 Days ago
If you upgrade Mybb you have to upgrade your theme - that's the reason for the authorization mismatch error. And in some cases you will have to update your plugins as well.
What goes around comes around
Reply
#9
Solved: 10 Months, 3 Days ago
(11-10-2018, 10:59 PM)Ashley1 Wrote: If you upgrade Mybb you have to upgrade your theme - that's the reason for the authorization mismatch error. And in some cases you will have to update your plugins as well.

Sure, however we had these issues before the upgrade and we're still having the exact same issues now.
Reply
#10
Solved: 10 Months, 3 Days ago
Can't really assist you further - you have too many things going on.

In your first screenshot the error is on a php 5.6 server

your memberlist error i first saw on php7.0, now its on 7.1.14

this is on top of running a theme which is out of date.
What goes around comes around
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)